VMware Cloud Community
StadtHS
Enthusiast
Enthusiast

VCSA update 7.0.3.00600 failed

Hello there,

I try to update my VCSA since version 7.0.3.00200 was released. I had no luck since then. I tried it via vami or shell (iso). Nothing works at all. 

I alway get the following message at the end: 

ssh_iso.JPG

The log doesn't give me any information. I attached them. Does anyone deal with the same problem?

I definitely need some support on here.

Reply
0 Kudos
9 Replies
StadtHS
Enthusiast
Enthusiast

2022-06-02 09:08:39,986.986Z last_component:Patch INFO last_component Starting all VMware services... The immediate command stdout is redirected to file /var/log/vmware/applmgmt/startAllServices.out.log and stderr is redirected to file /var/log/vmware/applmgmt/startAllServices.err.log
2022-06-02 09:08:40,932.932Z last_component:Patch INFO last_component Start All VMware services: command=['/bin/service-control', '--start', '--all'], exit-code=1, stdout=Operation not cancellable. Please wait for it to finish...
Performing start operation on service lwsmd...
Successfully started service lwsmd
Performing start operation on service vmafdd...
Successfully started service vmafdd
Performing start operation on service vmdird...
Successfully started service vmdird
Performing start operation on service vmcad...
Successfully started service vmcad
Performing start operation on profile: ALL...
, stderr=Service-control failed. Error: Failed to start services in profile ALL. RC=2, stderr=Failed to start vcha services. Error: Service crashed while starting


2022-06-02 09:08:40,933.933Z last_component:Patch ERROR vmware_b2b.patching.executor.hook_executor Patch hook 'last_component:Patch' failed.
Traceback (most recent call last):
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/payload/components-script/last_component/__init__.py", line 261, in _perfromStartAllVmwareServices
_startAllVMwareServices()
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/payload/components-script/last_component/__init__.py", line 254, in _startAllVMwareServices
raise UserError(FAILED_TO_START_SERVICES_TEXT)
patch_errors.UserError: Failed to start all services after successful patching.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/py/vmware_b2b/patching/executor/hook_executor.py", line 74, in executeHook
executionResult = systemExtension(args)
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/libs/sdk/extensions.py", line 106, in __call__
result = self.extension(*args)
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/libs/sdk/extensions.py", line 123, in _func
return func(*args)
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/payload/components-script/last_component/__init__.py", line 289, in patch
_perfromStartAllVmwareServices()
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/payload/components-script/last_component/__init__.py", line 266, in _perfromStartAllVmwareServices
_startAllVMwareServices()
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/payload/components-script/last_component/__init__.py", line 254, in _startAllVMwareServices
raise UserError(FAILED_TO_START_SERVICES_TEXT)
patch_errors.UserError: Failed to start all services after successful patching.
2022-06-02T07:08:40.936Z ERROR vmware_b2b.patching.phases.patcher Patch hook Patch got ComponentWrapperError.
Traceback (most recent call last):
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/py/vmware_b2b/patching/phases/patcher.py", line 203, in patch
_patchComponents(ctx, userData, statusAggregator.reportingQueue)
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/py/vmware_b2b/patching/phases/patcher.py", line 85, in _patchComponents
executeComponentHook(Hook.Patch, ctx, c, userData, reportingQueue)
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/py/vmware_b2b/patching/executor/execution_facade.py", line 98, in executeComponentHook
reportQueue, identifier, expectedResultType)
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/py/vmware_b2b/patching/executor/execution_facade.py", line 53, in executeHook
result = executor.executeHook(scriptFile, hook, args, reportQueue, reportIdentifier)
File "/storage/seat/software-updatelij1y048/stage/scripts/patches/py/vmware_b2b/patching/executor/hook_executor_process.py", line 119, in executeHook
raise ex
patch_errors.ComponentError
2022-06-02T07:08:41.938Z WARNING root stopping status aggregation...
2022-06-02T07:08:41.939Z ERROR __main__ Patch vCSA failed

Reply
0 Kudos
compdigit44
Enthusiast
Enthusiast

I see the update does complete, but all services fail to start. How many vCPU's and memory to you have allocated to the VCSA? I ask since this is what resolved a similar issue as listed here.... https://communities.vmware.com/t5/vSphere-Upgrade-Install/vcsa-update-to-7-0u1-Returning-from-instal...

 

Reply
0 Kudos
StadtHS
Enthusiast
Enthusiast

I allocated 4CPUs and 32GB to the VCSA. 

I have already seen this entry here at the community and I tried to work it out, but I had no luck. Therefore I opened a case at VMWare.

Reply
0 Kudos
PaulB2
Enthusiast
Enthusiast

Do you have vcenter ha configured/enabled?

I see a reference that vcha failed to start.

If so, you need to remove ha before upgrading.

Reply
0 Kudos
jaguardin
Contributor
Contributor

i just got this same error as well, would love to know any resolution you get.

Reply
0 Kudos
StadtHS
Enthusiast
Enthusiast

Thanks for your answer. 

HA is enabled, but the service is not working. I don't know what this problem is about. Still finding a solution with the VMWare support.

 

Reply
0 Kudos
StadtHS
Enthusiast
Enthusiast

The VMWare support told me that the update has already been installed. The VAMI couldn't read out the correct version. 

So I had to make a backup of cp /etc/applmgmt/appliance/update.conf /etc/applmgmt/appliance/update.bak

Then I should edit the the update.conf to:

{    "CheckUpdates": "disabled",    "health": "green",    "time": "00:00:00",    "day": "Everyday",    "latestUpdateInstallTime": "",    "type": "DEFAULT-REPO",    "username": "",    "password": "",    "defaultURL": "https://vapp-updates.vmware.com/vai-catalog/valm/vmw/8d167796-34d5-4899-be0a-6daade4005a3/7.0.3.0060...",    "version": "7.0.3.00600",    "summary": "Patch for VMware vCenter Server 7.0",    "releasedate": "May 12, 2022",    "installTime": "",    "latestAvailablePatch": {},    "latestPatch": {},    "product": "VMware vCenter Server",    "build": "19717403",    "changeset": "9891004",    "name": "VC-7.0U3e",    "currentURL": "https://vapp-updates.vmware.com/vai-catalog/valm/vmw/8d167796-34d5-4899-be0a-6daade4005a3/7.0.3.0060..."}

service vami-lighttp restart

 

Afterwards it shows me the correct version. I don't know the reason for it yet. 

Reply
0 Kudos
DrmmrTNT
Contributor
Contributor

Bro, that literally and I mean literally just spoofed the version for you.  It didnt do anything.  I tried those config changes on an non-patched vcsa and i am now on version 7.0.3.00600 without installing patch yipee

Reply
0 Kudos
StadtHS
Enthusiast
Enthusiast

Excatly! This isn't the solution. The support failed here...still have this case opened.

Reply
0 Kudos